Bug 680753 - GNASH crashes when starting to play video (streaming)
Summary: GNASH crashes when starting to play video (streaming)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnash
Version: 14
Hardware: i386
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Hicham HAOUARI
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-27 14:42 UTC by Martin Strejc
Modified: 2011-03-27 19:32 UTC (History)
4 users (show)

Fixed In Version: gnash-0.8.9-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-18 03:57:30 UTC


Attachments (Terms of Use)

Description Martin Strejc 2011-02-27 14:42:19 UTC
GNASH crashes when starting to play video (streaming).

1. Enter the page with a streamed video, e.g.: 
http://www.youtube.com/watch?v=IF8bUeM_JGU&feature=topvideos
http://www.stream.cz/video/565196-metallica-cimbalovka

Result:
  GNASH shows crash info or kdump shows info about gnash crashing

Expected result:
  Video is played by a flash player

Note:
  Other flash (swf) applications/applets work correctly, this bug happens just for streaming.

Attached info:

BFD: Warning: /var/spool/abrt/ccpp-1298724412-3063/coredump is truncated: expected core file size >= 13594624, found: 225280.
[New Thread 3066]
[New Thread 3063]
Core was generated by `/usr/bin/gtk-gnash -u http://bbcdn.go.cz.bbelements.com/logos/cdn8004/b169396_1'.
Program terminated with signal 6, Aborted.
#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
16	arch/x86/vdso/vdso32/int80.S: No such file or directory.
	in arch/x86/vdso/vdso32/int80.S

Thread 2 (Thread 3063):
#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
No locals.
Cannot access memory at address 0xbfc72f24

Thread 1 (Thread 3066):
#0  __kernel_vsyscall () at arch/x86/vdso/vdso32/int80.S:16
No locals.
Cannot access memory at address 0xb35bd96c
From        To          Syms Read   Shared Object Library
0x00898850  0x008afacf  Yes (*)     /lib/ld-linux.so.2
(*): Shared library is missing debugging information.
No symbol "__abort_msg" in current context.
No symbol "__glib_assert_msg" in current context.
eax            0x0	0
ecx            0xbfa	3066
edx            0x6	6
ebx            0xbf7	3063
esp            0xb35bd96c	0xb35bd96c
ebp            0xb35bd978	0xb35bd978
esi            0xa028db	10496219
edi            0xa3eff4	10743796
eip            0x172416	0x172416 <__kernel_vsyscall+2>
eflags         0x200202	[ IF ID ]
cs             0x73	115
ss             0x7b	123
ds             0x7b	123
es             0x7b	123
fs             0x0	0
gs             0x33	51
Dump of assembler code for function __kernel_vsyscall:
   0x00172414 <+0>:	int    $0x80
=> 0x00172416 <+2>:	ret    
End of assembler dump.

Comment 1 Martin Strejc 2011-02-27 14:45:08 UTC
Seen on

Linux ntb-martin.diamon.cz 2.6.35.11-83.fc14.i686 #1 SMP Mon Feb 7 07:04:18 UTC 2011 i686 i686 i386 GNU/Linux


The bug started after yum update gnash from previous version. The previous (also self updated version) worked correctly.

Comment 2 Fedora Update System 2011-03-13 16:51:04 UTC
gnash-0.8.9-0.1.20110312git.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gnash-0.8.9-0.1.20110312git.fc14

Comment 3 Fedora Update System 2011-03-13 16:53:40 UTC
gnash-0.8.9-0.1.20110312git.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gnash-0.8.9-0.1.20110312git.fc13

Comment 4 Fedora Update System 2011-03-13 16:56:11 UTC
gnash-0.8.9-0.1.20110312git.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnash-0.8.9-0.1.20110312git.fc15

Comment 5 Fedora Update System 2011-03-18 03:54:48 UTC
gnash-0.8.9-0.1.20110312git.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-03-19 02:12:50 UTC
gnash-0.8.9-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gnash-0.8.9-1.fc14

Comment 7 Fedora Update System 2011-03-19 02:20:17 UTC
gnash-0.8.9-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/gnash-0.8.9-1.fc13

Comment 8 Fedora Update System 2011-03-27 19:22:12 UTC
gnash-0.8.9-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-03-27 19:29:41 UTC
gnash-0.8.9-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.